Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 642128 - segfault in upowerd daemon of >=sys-power/upower-0.99.5
Summary: segfault in upowerd daemon of >=sys-power/upower-0.99.5
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Freedesktop bugs
URL:
Whiteboard:
Keywords:
Depends on: 666870
Blocks:
  Show dependency tree
 
Reported: 2017-12-23 21:43 UTC by jhon
Modified: 2018-10-13 09:06 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
upowerd-inhibitor-lock-warning.patch (upowerd-inhibitor-lock-warning.patch,466 bytes, patch)
2018-07-09 16:54 UTC, Jan Ziak (http://atom-symbol.net)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jhon 2017-12-23 21:43:10 UTC
dmesg gives me lines like this:
[   27.876763] upowerd[4639]: segfault at 8 ip 000055dde7ae76b0 sp 00007ffdc10e9a30 error 4 in upowerd[55dde7ac7000+36000]

backtrace from GDB:
gdb) run
Starting program: /usr/lib64/upower/upowerd
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
[New Thread 0x7fffee20d700 (LWP 24531)]
[New Thread 0x7fffeda0c700 (LWP 24532)]

(upowerd:24527): GLib-GIO-CRITICAL **: g_dbus_proxy_get_connection: assertion 'G_IS_DBUS_PROXY (proxy)' failed

(upowerd:24527): GLib-GIO-CRITICAL **: g_dbus_connection_signal_subscribe: assertion 'G_IS_DBUS_CONNECTION (connection)' failed

(upowerd:24527): GLib-GIO-CRITICAL **: g_dbus_proxy_call_sync_internal: assertion 'G_IS_DBUS_PROXY (proxy)' failed

Thread 1 "upowerd" received signal SIGSEGV, Segmentation fault.
0x00005555555746b0 in up_backend_inhibitor_lock_take (backend=0x55555578e4a0)
    at up-backend.c:501
501                     g_warning ("Could not acquire inhibitor lock: %s", error->message);
(gdb) backtrace
#0  0x00005555555746b0 in up_backend_inhibitor_lock_take (
    backend=0x55555578e4a0) at up-backend.c:501
#1  0x00007ffff6ec0569 in g_type_create_instance ()
   from /usr/lib64/libgobject-2.0.so.0
#2  0x00007ffff6ea3437 in ?? () from /usr/lib64/libgobject-2.0.so.0
#3  0x00007ffff6ea4e2d in g_object_newv () from /usr/lib64/libgobject-2.0.so.0
#4  0x00007ffff6ea557c in g_object_new () from /usr/lib64/libgobject-2.0.so.0
#5  0x0000555555575619 in up_backend_new () at up-backend.c:697
#6  0x00005555555617d2 in up_daemon_init (daemon=0x5555557a2150)
    at up-daemon.c:1087
#7  0x00007ffff6ec0569 in g_type_create_instance ()
   from /usr/lib64/libgobject-2.0.so.0
#8  0x00007ffff6ea3437 in ?? () from /usr/lib64/libgobject-2.0.so.0
#9  0x00007ffff6ea4e2d in g_object_newv () from /usr/lib64/libgobject-2.0.so.0
#10 0x00007ffff6ea557c in g_object_new () from /usr/lib64/libgobject-2.0.so.0
#11 0x0000555555562fda in up_daemon_new () at up-daemon.c:1169
#12 0x0000555555560c34 in up_state_new () at up-main.c:72
#13 main (argc=<optimized out>, argv=<optimized out>) at up-main.c:238
(gdb) 

More info in this forum thread: https://forums.gentoo.org/viewtopic-p-8159642.html#8159642, or simply ask me for other relevant information you need.
Comment 1 Jory A. Pratt gentoo-dev 2017-12-25 16:09:38 UTC
emerge --info is gonna be required if you are wanting to get help resolving this issue. I for one am using upower-0.99.7 and do not see such an issue in musl.
Comment 2 jhon 2017-12-26 09:23:30 UTC
sure, here it is:

$ emerge --info
Portage 2.3.13 (python 3.5.4-final-0, default/linux/amd64/13.0/no-multilib, gcc-6.4.0, glibc-2.25-r9, 4.14.8-gentoo-r1 x86_64)                                                                                    
=================================================================                                                                                                                                                 
System uname: Linux-4.14.8-gentoo-r1-x86_64-Intel-R-_Core-TM-_i7-2600K_CPU_@_3.40GHz-with-gentoo-2.4.1                                                                                                            
KiB Mem:     8136892 total,   6248928 free                                                                                                                                                                        
KiB Swap:    1022972 total,   1022972 free                                                                                                                                                                        
Timestamp of repository gentoo: Mon, 25 Dec 2017 10:00:01 +0000                                                                                                                                                   
Head commit of repository gentoo: b1c85bde52395ff3be17b9770434383c1b679b54                                                                                                                                        
sh bash 4.3_p48-r1                                                                                                                                                                                                
ld GNU ld (Gentoo 2.29.1 p3) 2.29.1                                                                                                                                                                               
app-shells/bash:          4.3_p48-r1::gentoo                                                                                                                                                                      
dev-lang/perl:            5.24.3::gentoo                                                                                                                                                                          
dev-lang/python:          2.7.14-r1::gentoo, 3.5.4-r1::gentoo, 3.6.3-r1::gentoo                                                                                                                                   
dev-util/cmake:           3.8.2::gentoo                                                                                                                                                                           
dev-util/pkgconfig:       0.29.2::gentoo                                                                                                                                                                          
sys-apps/baselayout:      2.4.1-r2::gentoo                                                                                                                                                                        
sys-apps/openrc:          0.34.11::gentoo                                                                                                                                                                         
sys-apps/sandbox:         2.10-r4::gentoo                                                                                                                                                                         
sys-devel/autoconf:       2.13::gentoo, 2.69::gentoo
sys-devel/automake:       1.11.6-r2::gentoo, 1.15.1-r1::gentoo
sys-devel/binutils:       2.29.1-r1::gentoo
sys-devel/gcc:            6.4.0::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.4::gentoo (virtual/os-headers)
sys-libs/glibc:           2.25-r9::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-extra-opts: 

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=sandybridge -O2 -pipe -ftree-vectorize"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php7.1/ext-active/ /etc/php/cgi-php7.1/ext-active/ /etc/php/cli-php7.1/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=sandybridge -O2 -pipe -ftree-vectorize"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync multilib-strict news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://mirror.isoc.org.il/pub/gentoo/ ftp://mirror.isoc.org.il/gentoo/ http://mirror.ovh.net/gentoo-distfiles/"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j9"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X aac aacplus acl alsa amd64 apng berkdb bidi bzip2 cgroups cli consolekit cracklib crypt cups custom-cflags custom-optimization cxx dbus dirac dri drm dvd egl faad ffmpeg flac fontconfig fortran fribidi gdbm gif gimp glamor gtk gtk3 http2 iconv icu ipv6 jpeg kde librtmp live logrotate mad matroska modules mp3 mpeg mtp musepack mysql ncurses networkmanager nls nptl ntfs ogg openal opengl openmax openmp openrc opus osmesa pam pcre pm-utils png postproc ppds pulseaudio qt3support qt5 readline rtmp rtsp savedconfig schroedinger seccomp session sqlite ssl svg system-ffmpeg system-harfbuzz system-icu system-jpeg system-libevent system-libvpx system-sqlite taglib tcpd theora threads twolame unicode upower usb vaapi vdpau vorbis vpx wayland x264 x265 xa xattr zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="proxy proxy_fcgi actions alias http2 auth_basic authn_core authn_alias authz_core autoindex cache deflate expires filter headers include mime mime_magic rewrite unique_id unixd log_config authz_host dir socache_shmcb cache_socache" APACHE2_MPMS="event" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev" KERNEL="linux" L10N="en he" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en_US he" NGINX_MODULES_HTTP="fastcgi access autoindex echo auth_pam limit_conn limit_req memcached geo gunzip gzip gzip_static headers_more image_filter referer rewrite slice slowfs_cache stub_status upload_progress userid stream_limit_conn stream_access ssi scgi map charset browser random_index proxy addition" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6 php7-0" POSTGRES_TARGETS="postgres9_5" PYTHON_SINGLE_TARGET="python3_5" PYTHON_TARGETS="python2_7 python3_5" RUBY_TARGETS="ruby22" SANE_BACKENDS="pixma" USERLAND="GNU" VIDEO_CARDS="nouveau" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 3 Jan Ziak (http://atom-symbol.net) 2018-07-09 16:54:48 UTC
Created attachment 538994 [details, diff]
upowerd-inhibitor-lock-warning.patch

This patch avoids the segfault by removing the detail message when printing the warning.
Comment 4 Thomas Capricelli 2018-07-23 09:37:05 UTC
Hit by this as well.
Comment 5 Thomas Capricelli 2018-07-23 09:39:37 UTC
How can we do ? This bug is still not fixed, and we can't mask >=sys-power/upower-0.99.5, as there's no older version in current portage... !? Fill another bug to ask for an older version to be put back ?
Comment 6 Pacho Ramos gentoo-dev 2018-09-23 14:33:51 UTC
this should be fixed in 0.99.8 (just bumped), please try